Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.thoughtworks.xstream.converters.reflection
Class AbstractReflectionConverter.DuplicateFieldException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  com.thoughtworks.xstream.core.BaseException
                      com.thoughtworks.xstream.XStreamException
                          com.thoughtworks.xstream.converters.ConversionException
                              com.thoughtworks.xstream.converters.reflection.AbstractReflectionConverter.DuplicateFieldException

All Implemented Interfaces:
  ErrorWriter, Serializable

Enclosing class:
  AbstractReflectionConverter

    public static class AbstractReflectionConverter.DuplicateFieldException

extends ConversionException

See Also:
  Serialized Form

Constructor Summary
`AbstractReflectionConverter.DuplicateFieldException(String msg)`

Method Summary

Methods inherited from class com.thoughtworks.xstream.converters.ConversionException
`add, get, getMessage, getShortMessage, keys`

Methods inherited from class com.thoughtworks.xstream.XStreamException
`getCause`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AbstractReflectionConverter.DuplicateFieldException

    public AbstractReflectionConverter.DuplicateFieldException(String msg)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2008 XStream. All Rights Reserved.